Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455491 - backport of fix endless page faults in mount_block_root for Linux 2.6 from 2.6.26 to RHEL5-U3
Summary: backport of fix endless page faults in mount_block_root for Linux 2.6 from 2....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Larry Woodman
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 455409
TreeView+ depends on / blocked
 
Reported: 2008-07-15 18:40 UTC by Larry Woodman
Modified: 2009-01-20 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:15:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch that fixes this problem. (deleted)
2008-07-15 18:40 UTC, Larry Woodman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Larry Woodman 2008-07-15 18:40:27 UTC
Description of problem:

x86: fix endless page faults in mount_block_root for Linux 2.6

Page faults in kernel address space between PAGE_OFFSET up to
VMALLOC_START should not try to map as vmalloc.

Fix rarely endless page faults inside mount_block_root for root
filesystem at boot time.

Version-Release number of selected component (if applicable):

FRHEL5-U3

How reproducible:

The physically memory was trimmed down to 192MB to better catch the bug.
More memory gets the bug more rarely.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Endless pagefaulting.

Expected results:

Log error in /var.log/messages.

Additional info:

Comment 1 Larry Woodman 2008-07-15 18:40:27 UTC
Created attachment 311865 [details]
Patch that fixes this problem.

Comment 2 Linda Wang 2008-07-31 18:59:53 UTC
Raise as exception:

Part of x86 2.6.26 backport to RHEL5 merge. for more detail info of
the feature please see bug 455409.

Comment 3 RHEL Product and Program Management 2008-07-31 19:02:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Zickus 2008-09-19 15:39:16 UTC
in kernel-2.6.18-116.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 errata-xmlrpc 2009-01-20 20:15:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.